My Project: Quat Struct Reference

My Project

Public Member Functions | Public Attributes | List of all members
Quat Struct Reference

`#include <geom.h>`

## Public Member Functions

| Quat ()
| Quat (float w, const Vector &v)
Quat | operator- () const
Quat | operator+ (const Quat &q) const
Quat | operator- (const Quat &q) const
Quat | operator* (const Quat &q) const
Vector | operator* (const Vector &q) const
Quat | operator* (float q) const
Quat | operator/ (float q) const
float | dot (const Quat &q) const
float | length () const
void | normalize ()
Quat | normalized () const
Quat | slerpTo (const Quat &q, float a) const
Vector | i () const
Vector | j () const
Vector | k () const

## Public Attributes

float | w
Vector | v

## Constructor & Destructor Documentation

## § Quat() [1/2]

Quat::Quat | ( |  | ) |

inline

## § Quat() [2/2]

Quat::Quat | ( | float | w,
|  | const Vector & | v
| ) |  |

inline

## Member Function Documentation

## § dot()

float Quat::dot | ( | const Quat & | q | ) | const

inline

## § i()

Vector Quat::i | ( |  | ) | const

inline

## § j()

Vector Quat::j | ( |  | ) | const

inline

## § k()

Vector Quat::k | ( |  | ) | const

inline

## § length()

float Quat::length | ( |  | ) | const

inline

## § normalize()

void Quat::normalize | ( |  | ) |

inline

## § normalized()

Quat Quat::normalized | ( |  | ) | const

inline

## § operator*() [1/3]

Quat Quat::operator* | ( | const Quat & | q | ) | const

inline

## § operator*() [2/3]

Vector Quat::operator* | ( | const Vector & | q | ) | const

inline

## § operator*() [3/3]

Quat Quat::operator* | ( | float | q | ) | const

inline

## § operator+()

Quat Quat::operator+ | ( | const Quat & | q | ) | const

inline

## § operator-() [1/2]

Quat Quat::operator- | ( |  | ) | const

inline

## § operator-() [2/2]

Quat Quat::operator- | ( | const Quat & | q | ) | const

inline

## § operator/()

Quat Quat::operator/ | ( | float | q | ) | const

inline

## § slerpTo()

Quat Quat::slerpTo | ( | const Quat & | q,
|  | float | a
| ) |  | const

inline

## Member Data Documentation

## § v

Vector Quat::v

## § w

float Quat::w

The documentation for this struct was generated from the following file:

- openb3dlib.mod/openb3d/src/geom.h